Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# TextParser Class Reference
[Colorer interfaces]

Inheritance diagram for TextParser:

## Detailed Description

Basic lexical/syntax parser interface.

This class provides interface to lexical text parsing abilities of the Colorer library.

It uses LineSource interface as a source of input data, and RegionHandler as interface to transfer results of text parse process.

Process of syntax parsing supports internal caching algorithim, which allows to store internal parser state and reparse text only partially (on change, on request).

## Public Member Functions
virtual void | setFileType (FileType *type)=0
| Sets root scheme (filetype) of the text to parse.
virtual void | setLineSource (LineSource *lh)=0
| Installs LineSource, used as an input of text to parse.
virtual void | setRegionHandler (RegionHandler *rh)=0
| RegionHandler, used as output stream for parsed tree.
virtual int | parse (int from, int num, TextParseMode mode)=0
| Performs cachable text parse.
virtual void | breakParse ()=0
| Performs break of parsing process from external thread.
virtual void | clearCache ()=0
| Clears internal cached text tree stucture.

## Member Function Documentation

virtual void TextParser::setFileType | ( | FileType * | type | ) | `[pure virtual]`

  | Sets root scheme (filetype) of the text to parse. Parameters:
  | type | FileType, which contains reference to it's baseScheme. If parameter is null, there will be no any kind of parse over the text.

virtual int TextParser::parse | ( | int | from,
|  | int | num,
|  | TextParseMode | mode
| ) | `[pure virtual]`

  | Performs cachable text parse. Can build internal structure of contexts, allowing apprication to continue parse from any already reached position of text. This guarantees the validness of result parse information. Parameters:
  | from | Line to start parsing
  | num | Number of lines to parse
  | mode | Parsing mode.

virtual void TextParser::breakParse | ( |  | ) | `[pure virtual]`

| Performs break of parsing process from external thread. It is used to stop parse from external source. This is required in some editor system implementations, where editor can detect background changes in highlighted text.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.